{
  "name": "yunzhu-im",
  "version": "1.0.8",
  "main": "./out/main/index.js",
  "author": "example.com",
  "license": "MIT",
  "scripts": {
    "dev": "electron-vite dev",
    "build": "electron-vite build",
    "preview": "electron-vite preview",
    "pack": "cross-env CSC_IDENTITY_AUTO_DISCOVERY=false WIN_CSC_LINK= electron-builder",
    "dist": "npm run build && cross-env CSC_IDENTITY_AUTO_DISCOVERY=false WIN_CSC_LINK= electron-builder",
    "dist:portable": "npm run build && cross-env CSC_IDENTITY_AUTO_DISCOVERY=false electron-builder --win portable"
  },
  "dependencies": {
    "@electron-toolkit/preload": "^3.0.0",
    "@electron-toolkit/utils": "^3.0.0",
    "crypto-js": "^4.2.0",
    "electron-updater": "^6.3.9",
    "react": "^18.2.0",
    "react-dom": "^18.2.0",
    "react-icons": "^5.5.0"
  },
  "devDependencies": {
    "@electron-toolkit/tsconfig": "^1.0.1",
    "@types/crypto-js": "^4.2.2",
    "@types/node": "^18.14.6",
    "@types/react": "^18.0.28",
    "@types/react-dom": "^18.0.11",
    "@vitejs/plugin-react": "^4.0.0",
    "cross-env": "^10.1.0",
    "electron": "^39.0.0",
    "electron-builder": "^26.8.2",
    "electron-vite": "^2.0.0",
    "rcedit": "^5.0.2",
    "sharp": "^0.34.5",
    "to-ico": "^1.1.5",
    "typescript": "^5.0.2",
    "vite": "^5.0.0"
  },
  "build": {
    "appId": "com.hnyunzhu.im",
    "productName": "韫珠IM",
    "publish": {
      "provider": "generic",
      "url": "https://api.hnyunzhu.com:9004/app-updates/1773848909/windows/update/"
    },
    "directories": {
      "output": "dist"
    },
    "files": [
      "out/**/*",
      "package.json"
    ],
    "afterPack": "./scripts/afterPack.js",
    "extraResources": [
      {
        "from": "resources",
        "to": ".",
        "filter": [
          "**/*"
        ]
      }
    ],
    "win": {
      "target": [
        {
          "target": "nsis",
          "arch": [
            "x64"
          ]
        }
      ],
      "icon": "resources/icon.ico",
      "forceCodeSigning": false,
      "signAndEditExecutable": false
    },
    "mac": {
      "target": [
        {
          "target": "dmg",
          "arch": [
            "x64",
            "arm64"
          ]
        }
      ],
      "icon": "resources/logo.png"
    },
    "linux": {
      "target": [
        {
          "target": "AppImage",
          "arch": [
            "x64"
          ]
        }
      ],
      "icon": "resources/logo.png"
    },
    "nsis": {
      "oneClick": false,
      "allowToChangeInstallationDirectory": true,
      "createDesktopShortcut": true,
      "createStartMenuShortcut": true,
      "installerLanguages": [
        "zh_CN",
        "en_US"
      ],
      "language": 2052
    }
  }
}
